ARG COMMON_CI_IMAGES_COSIGN_VERSION
ARG COMMON_CI_IMAGES_SYFT_VERSION
ARG GL_BUILD_GORELEASER_VERSION

FROM anchore/syft:v${COMMON_CI_IMAGES_SYFT_VERSION} AS syft
FROM bitnami/cosign:${COMMON_CI_IMAGES_COSIGN_VERSION} as cosign

FROM goreleaser/goreleaser:v${GL_BUILD_GORELEASER_VERSION}

COPY --from=syft /syft /usr/bin/syft

# Note: the goreleaser binary already stores an old cosign at /usr/local/bin/cosign
# so use the same path to overwrite it.
COPY --from=cosign /opt/bitnami/cosign/bin/cosign /usr/local/bin/cosign
